installing LR classic 9.x on older Mac

New Here ,
Dec 28, 2021 Dec 28, 2021

Copy link to clipboard

Copied

Hi all,

 

had to do a clean install on my mac (high Sierra, 10.13). upon trying to install LR classic I could not find any download link to LR 9.x. The help features are not helpful, as I do not get any options to download an older version it just keeps saying i need to update OSX. There is a link telling me exactly what version works on which MacOS but no download link anywhere on the site or through the creative cloud app. 

any solutions i could find indicate i should be able to so this through creative cloud app, but it is not possible.

 

on a seperate note, trying to contact Adobe directly just keeps looping the same useless pages without any useful link, email or phonenumber...

 

hope to get up and running soon again

thanks for any help

BR

Mano

TOPICS
macOS

Views

33

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 28, 2021 Dec 28, 2021

Copy link to clipboard

Copied

LATEST

Version 10.0 is the oldest version you can still download. You need MacOS 10.14 Mojave for that, however.

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines